package de.openknowledge.javafx.feedreader;

import com.sun.syndication.feed.synd.SyndEntry;
import com.sun.syndication.feed.synd.SyndFeed;
import com.sun.syndication.io.FeedException;
import com.sun.syndication.io.SyndFeedInput;
import com.sun.syndication.io.XmlReader;
import java.io.IOException;
import java.net.URL;

/** 
  * Class representing a feed reader.
  **/
public class FeedReader {
    
    private URL url;
    private SyndEntry[] entries;
   
    public FeedReader(URL url) {
        this.url = url;
    }
    
    public void read() throws IOException, IllegalArgumentException, FeedException {
        SyndFeedInput input = new SyndFeedInput();
        SyndFeed feed = input.build(new XmlReader(url));
        entries = (SyndEntry[]) feed.getEntries().toArray(new SyndEntry[0]);
    }

    public SyndEntry[] getEntries() {
        return entries;
    }

    public void setEntries(SyndEntry[] entries) {
        this.entries = entries;
    }
}