package de.openknowledge.javafx.feedreader;

import java.net.URL;

import javafx.ui.*;
import javafx.ui.canvas.*;
import javafx.ui.filter.*;

import java.lang.System; 

import de.openknowledge.javafx.feedreader.FeedSubscriptionList;
import de.openknowledge.javafx.feedreader.Selectable;
import de.openknowledge.javafx.widgets.SelectionBox;

var feedSubscritptionList:FeedSubscriptionList = FeedSubscriptionList {};

var rssSubscriptionListWindow =    SelectionBox {
        color: rgb( 50, 50, 50 )
        textColor: rgb( 255,255,255)

        displayType: "list"
        title: "RSS/Atomic Feed Subscriptions"
        selectableList:  feedSubscritptionList
        x: 10
        y: 10
        w: 300
        h: 250
    };

var rssSubscriptionWindow =  SelectionBox {
        color: rgb( 50, 50, 50 )
        textColor: rgb( 200,200,200)
        displayType: "list"
        title: "Aktueller RSS/Atomic Feed:"
        selectableList: (Selectable)feedSubscritptionList.elementList[feedSubscritptionList.selectedIndex]      
        x: 320
        y: 10
        w: 470
        h: 250
       
    };

var rssFeedNewsWindow =   SelectionBox {
        x: 10
        y: 270
        w: 780
        h: 300
        color: rgb( 50, 50, 50 )
        textColor: rgb( 200,200,200)
        displayType: "detail"
        title: "Aktuelle Meldung:"  
        selectableList: (Selectable)feedSubscritptionList.elementList[feedSubscritptionList.selectedIndex]                
  };

var canvas = Canvas {
    content: [
    Rect {
        x: 0
        y: 0
        width: 800
        height: 600
        fill: rgb (0, 0, 0 )
    },
    rssSubscriptionListWindow,
    rssSubscriptionWindow,
    rssFeedNewsWindow
   ]
};

// -- Create a frame in JavaFX, instead of the java code:
Frame {
  title: "RSS/Atomic Feed Reader"
  width: 810
  height: 620
  content:  canvas
  visible: true
}

/**
Anoying hack: text can only be centered after the element is visible; adding
this to the on new trigger, etc, does nothing.
*/
rssSubscriptionListWindow.goFirstButton.centerText();
rssSubscriptionListWindow.goBackButton.centerText();
rssSubscriptionListWindow.goForwardButton.centerText();
rssSubscriptionListWindow.goLastButton.centerText();

rssSubscriptionWindow.goFirstButton.centerText();
rssSubscriptionWindow.goBackButton.centerText();
rssSubscriptionWindow.goForwardButton.centerText();
rssSubscriptionWindow.goLastButton.centerText();

rssFeedNewsWindow.goFirstButton.centerText();
rssFeedNewsWindow.goBackButton.centerText();
rssFeedNewsWindow.goForwardButton.centerText();
rssFeedNewsWindow.goLastButton.centerText();
