package de.openknowledge.javafx.widgets; 

import de.openknowledge.javafx.widgets.CoolButton; 
import de.openknowledge.javafx.feedreader.Selectable; 

import java.lang.*; 

import javafx.ui.*;
import javafx.ui.canvas.*;
import javafx.ui.filter.*;

/**
   * class representing a special kind of button for 
   * navigating to the last element of a Selectable 
   * object.
   */
public class GoToLastNavigationButton extends CoolButton {
   attribute selectableList : Selectable; 
}

 attribute GoToLastNavigationButton.text = ">>"; 
 attribute GoToLastNavigationButton.x = 25;
 attribute GoToLastNavigationButton.y = 25;  
 attribute GoToLastNavigationButton.fontFace = Font { face: VERDANA, size: 10 };

 operation GoToLastNavigationButton.onMouseClicked(e:CanvasMouseEvent) {
       selectableList.selectedIndex = selectableList.maxIndex; 
 }
