package de.openknowledge.javafx.widgets; 

import de.openknowledge.javafx.widgets.CoolButton; 
import de.openknowledge.javafx.feedreader.Selectable; 

import java.lang.*; 

import javafx.ui.*;
import javafx.ui.canvas.*;
import javafx.ui.filter.*;

/**
   * class representing a special kind of button for 
   * navigating to the next element of a Selectable 
   * object.
   */
public class GoToNextNavigationButton extends CoolButton {
   attribute selectableList : Selectable; 
}

  attribute GoToNextNavigationButton.text = ">"; 
  attribute GoToNextNavigationButton.x = 25;
  attribute GoToNextNavigationButton.y = 25;  
  attribute GoToNextNavigationButton.fontFace = Font { face: VERDANA, size: 10 };

   operation GoToNextNavigationButton.onMouseClicked(e:CanvasMouseEvent) {
     if (selectableList.selectedIndex < selectableList.maxIndex) {
         selectableList.selectedIndex++; 
      }
 }


