package de.openknowledge.javafx.widgets; 

import de.openknowledge.javafx.widgets.CoolButton; 
import de.openknowledge.javafx.feedreader.Selectable; 

import java.lang.*; 

import javafx.ui.*;
import javafx.ui.canvas.*;
import javafx.ui.filter.*;

/**
   * class representing a special kind of button for 
   * navigating to the previous element of a Selectable 
   * object.
   */
public class GoToPreviousNavigationButton extends CoolButton {
   attribute selectableList : Selectable; 
}

  attribute GoToPreviousNavigationButton.text = "<"; 
  attribute GoToPreviousNavigationButton.x = 25;
  attribute GoToPreviousNavigationButton.y = 25;  
  attribute GoToPreviousNavigationButton.fontFace = Font { face: VERDANA, size: 10 };

   operation GoToPreviousNavigationButton.onMouseClicked(e:CanvasMouseEvent) {
      if (selectableList.selectedIndex > 0) {
         selectableList.selectedIndex--; 
      }
 }

